Bug 1696245 - [RFE] Allow full customization while cloning a VM
Summary: [RFE] Allow full customization while cloning a VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.4.0
: ---
Assignee: Lucia Jelinkova
QA Contact: Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 12:08 UTC by Abhishekh Patil
Modified: 2020-08-04 13:19 UTC (History)
4 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Enhancement
Doc Text:
Previously, while cloning a virtual machine, you could only edit the name of the virtual machine in the Clone Virtual Machine window. With this enhancement, you can fully customize any of the virtual machine settings in the Clone Virtual Machine window. This means, for example, that you can clone a virtual machine into a different storage domain.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:58 UTC
oVirt Team: Virt
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4030691 0 None None None 2019-04-04 12:21:23 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:10 UTC
oVirt gerrit 101734 0 'None' MERGED webadmin: use vm popup dialog also for clone 2020-11-25 08:50:50 UTC

Description Abhishekh Patil 2019-04-04 12:08:17 UTC
Proposed title of this feature request:

Allow user to create disk from different storage domain while cloning a VM. 

Currently, while cloning a VM, disk is created in the same storage domain in which original VM's disk resides.

Version-Release number of selected component (if applicable):
ovirt-engine-4.2.8


How reproducible:
[100%]

Steps to Reproduce:
1. Create a VM with a disk on storage domain
2. Clone The VM


Actual results:
Cloned VM's disk is created in the same storage domain

Expected results:
User should be able to create the disk from different storage domain while cloning a VM.

Comment 2 RHV bug bot 2019-12-13 13:16:27 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 3 RHV bug bot 2019-12-20 17:45:56 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 4 RHV bug bot 2020-01-08 14:49:47 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 5 RHV bug bot 2020-01-08 15:18:22 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 6 RHV bug bot 2020-01-24 19:51:37 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 Lukas Svaty 2020-04-16 10:36:13 UTC
Closing low severity bugs, based on QE capacity, if you would like to still verify this issue please reopen.

Comment 10 Lucia Jelinkova 2020-04-16 13:16:42 UTC
I think this functionality should be tested as it can break cloning VM from UI.

Comment 11 Tamir 2020-07-05 05:47:55 UTC
Tested the RFE on RHV 4.4.1-5 (engine and hosts RHEL 8) using the tests attached (Polarion).

Changing to verified.

Comment 19 errata-xmlrpc 2020-08-04 13:16:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.